//+------------------------------------------------------------------+
//|                                                super-signals.mq4 |
//|                Copyright  2006, Nick Bilak, beluck[AT]gmail.com |
//|                                            rewritten by Granit77 |
//+------------------------------------------------------------------+ 
#property copyright "Copyright  2006, Nick Bilak"
#property link      "http://www.forex-tsd.com/"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Aqua


extern int dist=24;
extern bool UseSound=true;
extern string SoundFile="Alert.wav";

int SignalGap = 4;
bool SoundBuy = False;
bool SoundSell = False;
string indicator_name="super-signals_trace";

double b1[];
double b2[];

int init()  {
   SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexArrow(1,233);
   SetIndexArrow(0,234);
   SetIndexBuffer(0,b1);
   SetIndexBuffer(1,b2);
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                         |
//+------------------------------------------------------------------+ 
int deinit()
{
	
  int    obj_total=ObjectsTotal();
  string name;
  for(int i=obj_total+1;i>-1;i--){
  name=ObjectName(i);
  if(StringFind( name,indicator_name,0)>-1) ObjectDelete(name);
  } 
}    
int start() {
   int counted_bars=IndicatorCounted();
   int k,i,j,limit,hhb,llb;
   //bool SoundSell,SoundBuy;   
   if (counted_bars<0) return(-1);
   if (counted_bars>0) counted_bars--;
   limit=Bars-1;
   if(counted_bars>=1) limit=Bars-counted_bars-1;
   if (limit<0) limit=0;

   //for (i=limit;i>=0;i--)   {
   for (i=0;i<limit;i++)   {
      hhb = Highest(NULL,0,MODE_HIGH,dist,i-dist/2);
      llb = Lowest(NULL,0,MODE_LOW,dist,i-dist/2);
      
      
      
      if (i==hhb
         
         ){
         b1[i]=High[hhb]+SignalGap*Point;
         ObjectCreate(TimeToStr(Time[i])+indicator_name,OBJ_ARROW,0,Time[i],b1[i]);
         ObjectSet(TimeToStr(Time[i])+indicator_name,OBJPROP_ARROWCODE,159);
         ObjectSet(TimeToStr(Time[i])+indicator_name,OBJPROP_COLOR,Yellow);
      }
      if (i==llb
         
         ){
         b2[i]=Low[llb]-SignalGap*Point;
         ObjectCreate(TimeToStr(Time[i])+indicator_name,OBJ_ARROW,0,Time[i],b2[i]);
         ObjectSet(TimeToStr(Time[i])+indicator_name,OBJPROP_ARROWCODE,159);
         ObjectSet(TimeToStr(Time[i])+indicator_name,OBJPROP_COLOR,Aqua);     
      } 
  }      
      if (b1[0] != EMPTY_VALUE && b1[0] != 0 && SoundBuy)
         {
         SoundBuy = False;
            if (UseSound) PlaySound (SoundFile);
         } 
      if (!SoundBuy && (b1[0] == EMPTY_VALUE || b1[0] == 0)) SoundBuy = True;  
  
      if (b2[0] != EMPTY_VALUE && b2[0] != 0 && SoundSell)
         {
         SoundSell = False;
            if (UseSound) PlaySound (SoundFile);
         } 
      if (!SoundSell && (b2[0] == EMPTY_VALUE || b2[0] == 0)) SoundSell = True;    

   return(0);
}


